summaryrefslogtreecommitdiff
path: root/media-gfx/synfig/synfig-1.2.1.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'media-gfx/synfig/synfig-1.2.1.ebuild')
-rw-r--r--media-gfx/synfig/synfig-1.2.1.ebuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/media-gfx/synfig/synfig-1.2.1.ebuild b/media-gfx/synfig/synfig-1.2.1.ebuild
new file mode 100644
index 00000000..263639b7
--- /dev/null
+++ b/media-gfx/synfig/synfig-1.2.1.ebuild
@@ -0,0 +1,79 @@
+# By eroen <eroen-overlay@occam.eroen.eu>, 2018
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Vector animation renderer"
+HOMEPAGE="https://www.synfig.org"
+SRC_URI="mirror://sourceforge/synfig/$P.tar.gz"
+LICENSE="GPL-2+"
+
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ sys-libs/zlib
+ >=dev-cpp/glibmm-2.24.2:2
+ dev-cpp/libxmlpp:2.6
+ >=x11-libs/cairo-1.12.0
+ dev-cpp/cairomm
+ x11-libs/pango
+ dev-libs/libsigc++:2
+ >=dev-libs/boost-1.53.0
+ sci-libs/fftw:3.0
+ media-libs/mlt
+ media-libs/libpng:0
+ media-libs/libmng
+ "
+DEPEND="${DEPEND}
+ >=dev-cpp/ETL-1.2.1"
+
+src_prepare() {
+ # imagemagick-7 compatibility:
+ eapply -p2 "$FILESDIR"/01-workaround-to-implement.patch\
+ "$FILESDIR"/02-fix-magickcore-s-exceptioninfo-0.patch
+
+ default
+
+ # build system strips away -g* and -O* flags
+ sed -e '/CXXFLAGS=.*debug_flags/s@`.*`@$CXXFLAGS@' \
+ -e '/CFLAGS=.*debug_flags/s@`.*`@$CFLAGS@' \
+ -e '/CXXFLAGS=.*optimization_flags/d' \
+ -e '/CFLAGS=.*optimization_flags/d' \
+ -i m4/subs.m4 || die
+
+ eautoreconf
+}
+
+src_configure() {
+ # default off:
+ #--enable-half=no
+ #--enable-layer-profiling=no
+ #--with-vimage=no
+ #--with-libavcodec=no
+ #--with-opengl=no
+
+ econf \
+ --without-imagemagick \
+ --with-magickpp \
+ --without-ffmpeg \
+ --without-libdv \
+ --without-freetype \
+ --without-fontconfig \
+ --without-openexr \
+ --without-jpeg
+
+ ## fontconfig automagic when enabled
+ ## openexr automagic when enabled
+ ## opencl wtf?
+ ## png automagic
+ ## mng automagic
+ ## jpeg automagic when enabled
+
+ # magickpp: configure explodes when disabled
+}